[问题]710 oracle 10g 安装错误

数据库服务和管理,MySQL/PostgreSQL/Oracle/Sybase 等
回复
ajiechina
帖子: 3
注册时间: 2007-10-22 23:25
送出感谢: 0
接收感谢: 0

[问题]710 oracle 10g 安装错误

#1

帖子 ajiechina » 2007-11-14 14:20

Starting Oracle Universal Installer...

Checking installer requirements...

Checking operating system version: must be redhat-3, SuSE-9, redhat-4, UnitedLinux-1.0, asianux-1 or asianux-2
Passed


All installer requirements met.

Preparing to launch Oracle Universal Installer from /tmp/OraInstall2007-11-14_02-10-46PM. Please wait ...
Error in writing to directory /tmp/OraInstall2007-11-14_02-10-46PM. Please ensure that this directory is writable and has atleast 60 MB of disk space. Installation cannot continue.
: Success
root@offs-02:/ora/database# ls

我在 ORALCE 或者 新建立的其他用户,都是这样的回答。
我还有 80G的空间,可是就是报这个错误。我尝试着把 TMP 重新定义一下,但是还是没效果。我怀疑这个和空间没关系。是否是权限的问题阿。我已经设置了 ORACLE 包括DBA ORA 相关的权限了。有谁能回答阿。
头像
hubert_star
论坛版主
帖子: 5372
注册时间: 2007-10-29 22:12
系统: OSX 10.9 + Ub 1304
来自: 江苏南京
送出感谢: 0
接收感谢: 5 次

#2

帖子 hubert_star » 2007-11-14 14:45

试试在非root环境下安装一下
老陈
帖子: 45
注册时间: 2007-04-28 15:45
送出感谢: 0
接收感谢: 0

#3

帖子 老陈 » 2007-11-19 16:54

很显然下载的版本不对,你下载的版本不支持在ubuntu下安装。
xiuxiuxiu
帖子: 25
注册时间: 2007-05-14 22:26
送出感谢: 0
接收感谢: 0

#4

帖子 xiuxiuxiu » 2007-11-20 10:41

本来就没有专门支持Ubuntu的版本吧....
我也觉得是权限问题,你当前用户可以在那个目录下创建一个文件么.
winstars
帖子: 131
注册时间: 2006-09-07 16:02
送出感谢: 0
接收感谢: 0

#5

帖子 winstars » 2007-11-27 16:45

我是参考这篇文章安装成功的,当然,自启动那一项我没有做,只是想起动就启动,不想启动就不起动
http://docs.google.com/Doc?docid=ajhvc3zzf22d_39fctgpw&hl=zh_CN
birdme
帖子: 6
注册时间: 2007-12-05 14:07
送出感谢: 0
接收感谢: 0

#6

帖子 birdme » 2007-12-05 14:44

安装前设置好$ORACLE_BASE $ORACLE_HOME等环境变量
安装时要使用oracle用户登录安装,安装是需要root执行两个命令时用su切换到root执行
最好用oracle网站下载的那个zip文件安装,别用rpm的
安装文件别放在tmp目录下放到你的home目录下就可以,oracle会自动安到你$ORACLE_HOME指定的位置的
只要你$ORACLE_HOME位置的空间够肯定没问题的。
guanbinjie
帖子: 2
注册时间: 2006-11-21 19:30
送出感谢: 0
接收感谢: 0

#7

帖子 guanbinjie » 2007-12-09 17:14

现在有deb版的oracle 10g了,官方网站上有下载
lujianqing
帖子: 6
注册时间: 2008-01-23 9:20
送出感谢: 0
接收感谢: 0

#8

帖子 lujianqing » 2008-02-01 8:59

需要在/etc/redhat-release中添加以下语句(没有这个文件就新建一个),以使安装程序认为正在一个RedHat的系统上安装:

Red Hat Linux release 3.1 (drupal)
rashblood
帖子: 3
注册时间: 2006-12-19 13:00
送出感谢: 0
接收感谢: 0

#9

帖子 rashblood » 2008-04-01 11:51

需要在/etc/redhat-release中添加以下语句(没有这个文件就新建一个),以使安装程序认为正在一个RedHat的系统上安装:

Red Hat Linux release 3.1 (drupal)
回复

回到 “数据库管理”